Get Detailed Analytics

Return details statistics, supporting more metrics and unique counts.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The GET /v1/stats/events end-point does not surface every statistics you can get from WonderPush, like the number of received notifications or viewed in-apps.
This end-point however exposes all the available statistics. It also exposes unique event counts, where you can get the number of notified users in a given time window instead of getting the total number of notifications sent.

There are a few metrics type available:

  • Delta integers (key int): They count increments, things that can be added together.
  • Unique counts (key card): They count how many unique things happened. The count is approximate and has a theoretical precision of 0.81%. Non unique counts are also tracked next to unique counts and accessible under the key dupCard.
  • Absolute integers (key int): They measure a value. These values cannot be added together. The last value measured in a time-window is remembered: the value of a day will be the same as the value of the last hour of the day.
  • Delta decimals (key flt): Just like Delta integers but with decimal values.

Available metrics:

  • Metric: events
    Type: Delta integers
    Params: None
    Dimensions: type, subtype
    Description: Counts the individual events by type, and subtype where applicable.

  • Metric: events.type
    Type: Delta integers
    Params: type (the event type), viewId (use an empty string for the full view)
    Dimensions: subtype, platform, campaignId
    Description: Detailed counts for a given events type in a given view, broken down by platform and campaignId.

  • Metric: eventInstallations.type
    Type: Unique counts
    Params: type (the event type), viewId (use an empty string for the full view)
    Dimensions: subtype, platform, campaignId
    Description: Like events.type but with unique counts.

  • Metric: campaign.events.type
    Type: Delta integers
    Params: type (the event type), campaignId
    Dimensions: subtype, platform, campaignId
    Description: Like events.type but for a given campaign.

  • Metric: campaign.eventInstallations.type
    Type: Unique counts
    Params: type (the event type), campaignId
    Dimensions: subtype, platform, campaignId
    Description: Like campaign.events.type but with unique counts.

  • Metric: notification.events.type
    Type: Delta integers
    Params: type (the event type), notificationId
    Dimensions: subtype, platform, buttonLabel (the label of the clicked button, used for some event types)
    Description: Like campaign.events.type but for a given notification. A new notification is used for each A/B test or for each API-triggered delivery.

  • Metric: notification.eventInstallations.type
    Type: Unique counts
    Params: type (the event type), campaignId
    Dimensions: subtype, platform, buttonLabel (the label of the clicked button, used for some event types)
    Description: Like notification.events.type but with unique counts.

  • Metric: segment.installations
    Type: Absolute integers
    Params: viewId (use an empty string for the full view), segmentId (note that only selected segments are available)
    Dimensions: platform, reachability (whether the installation is optIn, softOptOut or optOut)
    Description: A measure of the segment size at a given point in time.

Each request in the bulk will have a corresponding response under the bulkValues key.
One such response will have a list of groups containing one value per configured break down. If no dimension or time break down is used, there will be a single value inside the list. The sibling field dimensions lists the dimensions used for the breakdown, if any.
Each value in groups has a value key that gives you access to the desired value under a key corresponding to the metric type (see the description of metric types). Any broken down dimensions will have it's current value listed under dimensions. For example "dimensions": { "platform": "Android" } means that this group is about the Android platform. If the statistics are broken down by time, a date field will give the time of the begining of the time bucket this group is about.

Body Params
bulk
array of objects

The individual statistics report requests to process. You can group multiple requests in a single call. It is advised to group calls using the same metrics for the same time-window inside a single call for additional processing speed.

bulk
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json